Package com.verisign.epp.serverstub

## Class NSPollHandler

- java.lang.Object
- - com.verisign.epp.serverstub.NSPollHandler

- All Implemented Interfaces:
    `EPPPollHandler`

      public class NSPollHandler
      extends java.lang.Object
      implements EPPPollHandler

  NameStore poll handler for all NameStore poll messages. The kind associated with the poll handler is `NSPollHandler`.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `KIND` | Kind of message handled by `NSPollHandler`.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NSPollHandler()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getKind()` | Gets the kind associated with NameStore poll messages
    `EPPResponse` | `toResponse​(EPPPollDataRecord aRecord)` | Convert an `EPPPollDataRecord` to an `EPPResponse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### KIND

          public static final java.lang.String KIND

      Kind of message handled by `NSPollHandler`.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NSPollHandler

          public NSPollHandler()

  - ### Method Detail

    - #### getKind

          public java.lang.String getKind()

      Gets the kind associated with NameStore poll messages
      Specified by:
        `getKind` in interface `EPPPollHandler`
      Returns:
        `NSPollHandler`

    - #### toResponse

          public EPPResponse toResponse​(EPPPollDataRecord aRecord)
                                 throws EPPPollQueueException

      Convert an `EPPPollDataRecord` to an `EPPResponse`
      Specified by:
        `toResponse` in interface `EPPPollHandler`
      Parameters:
        `aRecord` - Poll record to convert
      Returns:
        EPP poll response
      Throws:
        `EPPPollQueueException` - Error processing record